Page 1 of 1

New Version Mono errors

Posted: Fri Jun 29, 2018 5:12 pm
by geffers
Folks,

Been running VRS v 2.4 on Linux Ubuntu 16:04 for some time with no problems.

Due to getting Google map problems I've tried to upgrade to 2.4.2 and get errors on mono. Ran the complete installation again of mono as per your web page instructions and it appeared to install with no problems but on trying to run I get the following error;

Code: Select all

sudo mono VirtualRadar.exe 
WARNING: The runtime version supported by this application is unavailable.
Using default runtime: v4.0.30319
[ERROR] FATAL UNHANDLED EXCEPTION: InterfaceFactory.ClassFactoryException: SQLiteConnectionStringBuilderWrapper does not implement ISQLiteConnectionStringBuilder
  at InterfaceFactory.ClassFactory.Register (System.Type interfaceType, System.Type implementationType) [0x0007c] in <e7f9741fc6724e21bf73e7be6f40a70f>:0 
  at InterfaceFactory.ClassFactory.Register[TI,TM] () [0x00000] in <e7f9741fc6724e21bf73e7be6f40a70f>:0 
  at VirtualRadar.SQLiteWrapper.Implementations.Register (InterfaceFactory.IClassFactory factory) [0x00006] in <73cd24fc8fbc4548ac2b4c93ac3e673c>:0 
  at VirtualRadar.Program.Main (System.String[] args) [0x000c3] in <2307358f05d74dc0b22c62fa357d9680>:0 
If I run the same command with the old version VRS 2.4 runs fine with the following error output from mono;

Code: Select all

sudo mono VirtualRadar.exe
WARNING: The runtime version supported by this application is unavailable.
Using default runtime: v4.0.30319
Any suggestions welcome.

Appreciate 2.4.2 is relatively new so may be a few bugs, particularly in the Linux version.

Geffers

Re: New Version Mono errors

Posted: Fri Jun 29, 2018 5:21 pm
by agw
Return to the Linux page on the web site and read the "Mono 4 Issues" section.

Re: New Version Mono errors

Posted: Sat Jun 30, 2018 1:15 pm
by geffers
agw wrote:
Fri Jun 29, 2018 5:21 pm
Return to the Linux page on the web site and read the "Mono 4 Issues" section.
Thank you, that worked perfectly.

Geffers

Re: New Version Mono errors

Posted: Sun Jan 13, 2019 3:15 pm
by TheTwist
Hi there,

I am getting the same error message even with having the config VirtualRadar.exe.config file in the same directory.

Code: Select all

WARNING: The runtime version supported by this application is unavailable.
Using default runtime: v4.0.30319
[ERROR] FATAL UNHANDLED EXCEPTION: System.TypeInitializationException: The type initializer for 'System.Windows.Forms.XplatUI' threw an exception. ---> System.ArgumentNullException: Could not open display (X-Server required. Check your DISPLAY environment variable)
Parameter name: Display
  at System.Windows.Forms.XplatUIX11.SetDisplay (System.IntPtr display_handle) [0x00435] in <d5b72d15d4f7424c8a1538e3f19ec2e3>:0
  at System.Windows.Forms.XplatUIX11..ctor () [0x00077] in <d5b72d15d4f7424c8a1538e3f19ec2e3>:0
  at System.Windows.Forms.XplatUIX11.GetInstance () [0x0001c] in <d5b72d15d4f7424c8a1538e3f19ec2e3>:0
  at System.Windows.Forms.XplatUI..cctor () [0x0007d] in <d5b72d15d4f7424c8a1538e3f19ec2e3>:0
   --- End of inner exception stack trace ---
  at System.Windows.Forms.Application.EnableVisualStyles () [0x00006] in <d5b72d15d4f7424c8a1538e3f19ec2e3>:0
  at VirtualRadar.Program.Main (System.String[] args) [0x0009f] in <2307358f05d74dc0b22c62fa357d9680>:0

Re: New Version Mono errors

Posted: Sun Jan 13, 2019 6:39 pm
by Datamix
TheTwist wrote:
Sun Jan 13, 2019 3:15 pm
Hi there,

I am getting the same error message even with having the config VirtualRadar.exe.config file in the same directory.

Code: Select all

WARNING: The runtime version supported by this application is unavailable.
Using default runtime: v4.0.30319
[ERROR] FATAL UNHANDLED EXCEPTION: System.TypeInitializationException: The type initializer for 'System.Windows.Forms.XplatUI' threw an exception. ---> System.ArgumentNullException: Could not open display (X-Server required. Check your DISPLAY environment variable)
Parameter name: Display
  at System.Windows.Forms.XplatUIX11.SetDisplay (System.IntPtr display_handle) [0x00435] in <d5b72d15d4f7424c8a1538e3f19ec2e3>:0
  at System.Windows.Forms.XplatUIX11..ctor () [0x00077] in <d5b72d15d4f7424c8a1538e3f19ec2e3>:0
  at System.Windows.Forms.XplatUIX11.GetInstance () [0x0001c] in <d5b72d15d4f7424c8a1538e3f19ec2e3>:0
  at System.Windows.Forms.XplatUI..cctor () [0x0007d] in <d5b72d15d4f7424c8a1538e3f19ec2e3>:0
   --- End of inner exception stack trace ---
  at System.Windows.Forms.Application.EnableVisualStyles () [0x00006] in <d5b72d15d4f7424c8a1538e3f19ec2e3>:0
  at VirtualRadar.Program.Main (System.String[] args) [0x0009f] in <2307358f05d74dc0b22c62fa357d9680>:0

Do you want to use VRS in headless mode?

Then you need to add the "-nogui" parameter.

Re: New Version Mono errors

Posted: Sun Jan 13, 2019 7:13 pm
by TheTwist
I'd prefer to have the GUI. I am new to command line.

Re: New Version Mono errors

Posted: Mon Jan 14, 2019 7:47 am
by Datamix
If you want to start VRS with a GUI then you need a OS which has a GUI system installed (like X-Server, see you error message).

Re: New Version Mono errors

Posted: Mon Jan 14, 2019 5:52 pm
by TheTwist
Oh okay, I am using a Raspberry Pi thought the GUI would work

Re: New Version Mono errors

Posted: Tue Jan 15, 2019 8:45 am
by Datamix
I think it would work if you use "Raspbian Stretch with desktop".